Debian Bug report logs - #608800
Patch with invalid names in ---/+++ lines

version graph

Package: src:ncmpcpp; Maintainer for src:ncmpcpp is Damien Leone <damien.leone@fensalir.fr>;

Reported by: Raphael Hertzog <hertzog@debian.org>

Date: Mon, 3 Jan 2011 15:18:02 UTC

Severity: important

Found in version ncmpcpp/0.5.5-1

Fixed in version ncmpcpp/0.5.6-1

Done: Damien Leone <damien.leone@fensalir.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Damien Leone <damien.leone@fensalir.fr>:
Bug#608800; Package src:ncmpcpp. (Mon, 03 Jan 2011 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Damien Leone <damien.leone@fensalir.fr>. (Mon, 03 Jan 2011 15:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: submit@bugs.debian.org
Subject: Patch with invalid names in ---/+++ lines
Date: Mon, 3 Jan 2011 16:14:04 +0100
Source: ncmpcpp
Version: 0.5.5-1
Severity: important

Your debian/patches/changelog.patch contains filenames on the
---/+++ lines that can't be used with "patch -p1". Fortunately
the "index" line makes it work with patch.

But dpkg-source is going to be more picky about filenames in
the near future and your patch will be considered invalid and
the source package will fail to unpack due to this.

(Funnily, the patch in the version 0.5.4-1 is fine.)

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Reply sent to Damien Leone <damien.leone@fensalir.fr>:
You have taken responsibility. (Thu, 20 Jan 2011 20:36:04 GMT) Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Thu, 20 Jan 2011 20:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 608800-close@bugs.debian.org (full text, mbox):

From: Damien Leone <damien.leone@fensalir.fr>
To: 608800-close@bugs.debian.org
Subject: Bug#608800: fixed in ncmpcpp 0.5.6-1
Date: Thu, 20 Jan 2011 20:33:28 +0000
Source: ncmpcpp
Source-Version: 0.5.6-1

We believe that the bug you reported is fixed in the latest version of
ncmpcpp, which is due to be installed in the Debian FTP archive:

ncmpcpp_0.5.6-1.debian.tar.gz
  to main/n/ncmpcpp/ncmpcpp_0.5.6-1.debian.tar.gz
ncmpcpp_0.5.6-1.dsc
  to main/n/ncmpcpp/ncmpcpp_0.5.6-1.dsc
ncmpcpp_0.5.6-1_i386.deb
  to main/n/ncmpcpp/ncmpcpp_0.5.6-1_i386.deb
ncmpcpp_0.5.6.orig.tar.bz2
  to main/n/ncmpcpp/ncmpcpp_0.5.6.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608800@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damien Leone <damien.leone@fensalir.fr> (supplier of updated ncmpcpp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 07 Jan 2011 12:34:14 +0100
Source: ncmpcpp
Binary: ncmpcpp
Architecture: source i386
Version: 0.5.6-1
Distribution: unstable
Urgency: low
Maintainer: Damien Leone <damien.leone@fensalir.fr>
Changed-By: Damien Leone <damien.leone@fensalir.fr>
Description: 
 ncmpcpp    - ncurses-based client for the Music Player Daemon (MPD)
Closes: 608800
Changes: 
 ncmpcpp (0.5.6-1) unstable; urgency=low
 .
   * New upstream release.
   * debian/patches/changelog.patch
     + Fix patch format. (Closes: #608800)
Checksums-Sha1: 
 b71b9b37895bdcc1e045a31e10eb1a4cd5063ae6 1468 ncmpcpp_0.5.6-1.dsc
 91ba1c22bf3b31809de70c35a6a34017867b0b19 369977 ncmpcpp_0.5.6.orig.tar.bz2
 2070a97ddfccd7edbdc964e79c702eb74196472d 42056 ncmpcpp_0.5.6-1.debian.tar.gz
 9b389a4ced7b62ccd418a36130cabc259a6bb0c4 272538 ncmpcpp_0.5.6-1_i386.deb
Checksums-Sha256: 
 088cccf408ac1a2233050b9e51255d745ac061909bbd54457f57ac7d6d74fa8d 1468 ncmpcpp_0.5.6-1.dsc
 ed07e055c964ea5f21985db57bbb16e4223ba5c43376662efcf5020451b9bb79 369977 ncmpcpp_0.5.6.orig.tar.bz2
 6d967aa169557bd3ab0170a8a9b91e00a7a72c219279ab9230a0c461ba9ddc20 42056 ncmpcpp_0.5.6-1.debian.tar.gz
 cf8245604f637d2dce6fd3a5a8b9f9c6570378250a6335bb0ba273e89288fe8e 272538 ncmpcpp_0.5.6-1_i386.deb
Files: 
 d7d2cc113d33644f896b3dae584036f0 1468 sound optional ncmpcpp_0.5.6-1.dsc
 cdaf82694c0a1f5e9de65bb0a191e403 369977 sound optional ncmpcpp_0.5.6.orig.tar.bz2
 5448e3d35917a6f077b11e9bfafacde6 42056 sound optional ncmpcpp_0.5.6-1.debian.tar.gz
 338d02e4185b68ae0ac826e1f15a9146 272538 sound optional ncmpcpp_0.5.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQEcBAEBCAAGBQJNOJjsAAoJEAOIHavrwpq5F/cH/Rqa0fLrzOofZWOlgrznUC0p
3RVKubFQ4xua/spmRjdxhtrTuHhQfb8oxtJYStide3zt5u8LDdsR/5wP0V0lKC5t
VbJXjhbJfw2G/xG6HwHl5PqQu3x2QPJmaC5kvSet8y07yJiBnyrJYak+afCS+2jN
/hTSG/hbAWfg50EDRboLRU2i7ICjsXxFHDeI/ulMH8H1rMSo7hetC3gKaibOv9IR
l+6c4cLuUZ+Yr5AYPAVS4zjrYwEwb6KYLoefMfl4XWf0yX2aVlONi+gcD27G7zfW
JuW2WeqBWqv/0AJMLO8KqV3oRcAiYV0oZaq2HHRphnmajML/zIXbHzPJfQqXnKw=
=kbHt
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Feb 2011 07:31:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:34:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.